# Class ProcessNameUtil

java.lang.Object
com.databricks.jdbc.common.util.ProcessNameUtil

public class ProcessNameUtil extends Object
Utility class for determining the current process name as it would appear in Activity Monitor. Note : removing logging as it methods are called on static INIT and logging might not be fully configured.

## Constructor Summary

Constructors
Constructor
Description
`ProcessNameUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getProcessName()`
Gets the current process name as it would appear in Activity Monitor.
`static String`
`getProcessNameFromHandle()`
Gets the current process name using ProcessHandle (Java 9+).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProcessNameUtil

public ProcessNameUtil()

## Method Details

### getProcessName

public static String getProcessName()
Gets the current process name as it would appear in Activity Monitor.

Returns:
  The current process name

### getProcessNameFromHandle

public static String getProcessNameFromHandle()
Gets the current process name using ProcessHandle (Java 9+).

Returns:
  The current process name or null if not available